import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { AwsKeys, AwsKeysType } from './aws-keys.js';
import { LocalAwsProfile, LocalAwsProfileType } from './local-aws-profile.js';
export type AwsAssumedRoleType = {
    roleArn: string;
    sessionName: string;
    region: string;
    primaryCredentials: AwsAssumedRole | AwsKeys | LocalAwsProfile;
    duration?: number;
};
declare class AwsAssumedRole extends AwsCredentialsType implements AwsAssumedRoleType {
    roleArn: string;
    sessionName: string;
    region: string;
    primaryCredentials: AwsAssumedRole | AwsKeys | LocalAwsProfile;
    duration?: number;
    private stsClient;
    private stsCreds;
    constructor(props: AwsAssumedRoleType);
    static isAwsAssumedRole(credentials: AwsAssumedRoleType | AwsKeysType | LocalAwsProfileType): boolean;
    static fromJson(object: AwsAssumedRoleType): AwsAssumedRole;
    private static buildPrimaryCreds;
    private credsWillExpireInSession;
    private mapStsCredsToGenericCreds;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { AwsAssumedRole };
