import AWS from 'aws-sdk';
import { AwsCredentialIdentity } from '@aws-sdk/types';
export type AwsCredentials = AWS.Credentials | AwsCredentialIdentity;
export declare enum AwsSdkVersionEnum {
    V2 = "V2",
    V3 = "V3"
}
export declare abstract class AwsCredentialsType {
    abstract getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<AwsCredentials>;
    getVersionedCredentials(awsSdkVersion: AwsSdkVersionEnum, creds: {
        accessKeyId: string;
        secretAccessKey: string;
        sessionToken?: string;
    }): AwsCredentials;
}
