import { AwsAssumedRoleType } from './aws-assumed-role.js';
import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { LocalAwsProfileType } from './local-aws-profile.js';
export type AwsKeysType = {
    AwsAccessKeyId: string;
    AwsSecretAccessKey: string;
    AwsSessionToken?: string;
};
declare class AwsKeys extends AwsCredentialsType implements AwsKeysType {
    AwsAccessKeyId: string;
    AwsSecretAccessKey: string;
    AwsSessionToken?: string;
    constructor(props: AwsKeysType);
    static isAwsKeys(credentials: AwsAssumedRoleType | AwsKeysType | LocalAwsProfileType): boolean;
    static fromJson(object: AwsKeysType): AwsKeys;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { AwsKeys };
