/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { OutputLogEvent } from '@aws-sdk/client-cloudwatch-logs';
import { TimeRange, TimeRangeOverrides } from '../utils/utils.js';
type AwsCloudWatchLogsProps = Widget & {
    region: string;
    logGroupName: string;
    logStreamName?: string;
    timeRange: TimeRange;
    showTimeRangeSelector?: boolean;
    events?: OutputLogEvent[];
};
type AwsCloudWatchLogsOverrides = TimeRangeOverrides;
export declare class AwsCloudWatchLogs extends BaseWidget {
    static type: string;
    region: string;
    logGroupName: string;
    logStreamName?: string;
    timeRange: TimeRange;
    showTimeRangeSelector?: boolean;
    events?: OutputLogEvent[];
    constructor(props: AwsCloudWatchLogsProps);
    static fromJson(object: AwsCloudWatchLogsProps): AwsCloudWatchLogs;
    toJson(): AwsCloudWatchLogsProps;
    getData(providers?: BaseProvider[], overrides?: AwsCloudWatchLogsOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCloudWatchLogsOverrides) => void): JSX.Element;
}
export {};
