/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { Policy } from 'aws-sdk/clients/iam';
type AwsIamJsonProps = Widget & {
    region: string;
    roleArn?: string;
    policyArn?: string;
};
export declare class AwsIamJson extends BaseWidget {
    static type: string;
    region: string;
    roleArn?: string;
    policyArn?: string;
    private _policy;
    private _rolePolicies;
    constructor(props: AwsIamJsonProps);
    fromJson(object: AwsIamJsonProps): AwsIamJson;
    toJson(): AwsIamJsonProps;
    getData(providers?: BaseProvider[]): Promise<void>;
    get policy(): Policy;
    set policy(_policy: Policy);
    get rolePolicies(): string[];
    set rolePolicies(_rolePolicies: string[]);
    render(): JSX.Element;
}
export {};
